Loading...
Searching...
No Matches
BALL::VIEW::ModularWidgetPlugin Class Reference

`#include <BALL/VIEW/PLUGIN/modularWidgetPlugin.h>`

## Public Member Functions

virtual | ~ModularWidgetPlugin ()
virtual void | setMainControl (MainControl *main_control)

## Protected Attributes

MainControl * | main_control_

## Detailed Description

Definition at line 22 of file modularWidgetPlugin.h.

## Constructor & Destructor Documentation

## ~ModularWidgetPlugin()

virtual BALL::VIEW::ModularWidgetPlugin::~ModularWidgetPlugin | ( |  | ) |

inline virtual

Definition at line 25 of file modularWidgetPlugin.h.

## Member Function Documentation

## setMainControl()

virtual void BALL::VIEW::ModularWidgetPlugin::setMainControl | ( | MainControl * | main_control | ) |

inline virtual

Set the main control. Each widget plugin has to know which main control is responsible for the widget it creates.

Note: The main control has to be set before activating the plugin!

Parameters

  main_control | Main control repsonsible for the widget

Definition at line 35 of file modularWidgetPlugin.h.

## Member Data Documentation

## main_control_

MainControl* BALL::VIEW::ModularWidgetPlugin::main_control_

protected

Definition at line 38 of file modularWidgetPlugin.h.